## org.apache.mahout.fpm.pfpgrowth
Class ParallelFPGrowthCombiner

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,TransactionTree,org.apache.hadoop.io.IntWritable,TransactionTree>
          org.apache.mahout.fpm.pfpgrowth.ParallelFPGrowthCombiner

    public class ParallelFPGrowthCombiner

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,TransactionTree,org.apache.hadoop.io.IntWritable,TransactionTree>

takes each group of dependent transactions and\ compacts it in a TransactionTree structure

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`ParallelFPGrowthCombiner()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.IntWritable key, Iterable<TransactionTree> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelFPGrowthCombiner

    public ParallelFPGrowthCombiner()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable key,
                          Iterable<TransactionTree> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,TransactionTree,org.apache.hadoop.io.IntWritable,TransactionTree>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.